Skip to navigation

List Product Classification Systems

View as Markdown

Access control: this endpoint is available to users with the everyone role.

List all available product classification systems.

Tax authorities use product classification systems as a way to identify products and associate them with a tax rate. More than one tax authority might use the same product classification system, but they might charge different tax rates for products.

Authentication

Authorizationstring
API Key authentication via header

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: countries

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

$countryCodestringOptional
If not null, return all records with this code.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional